<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./electronic.css">
</head>
<body>
    <header>
        <div class="navigation"> 
            <input  id="check" type="checkbox">
            <label for="check" class="btn-toggle"><i class="fa-solid fa-bars"></i> </label>
            <label class="logo">e-Commerce</label>
            <ul>
                <li><a href=# >Features</a></li>
                <li><a href=# >Pricing
                </a></li>
                <li><a href=# >Themes</a></li>
                <li><a href=# >Contact</a></li>
                <li><button class="login-btn" >Login</button></li>
            </ul>
            
        </div>
    </header>
    <div class="loginmodel">
        <div class="container">
            <span><label for="check" class="cross"><i class="fa-solid fa-xmark"></i></label>
            </span>
            <h1 class="login">Login</h1>
            <div class="box box1">
                <div><label for="user">Username</label></div>
                <input id="log1" type="text" placeholder="Email address or phone number"/>
                <span><i class="fa-solid fa-user"></i></span>
            </div>
            <div class="box box2">
                <div><label for="Password">Password</label></div>
                <input id="log2" type="text" placeholder="Password"/>
                <span><i class="fa-solid fa-lock"></i></span>
            </div>
            <div class="remember">
                <input  id="checkb" type="checkbox">
                <label class="me">Remember me</label>
                <a id="Forgottenaccount" href=# target="_blank">Forgotten account?</a>
            </div>
            <div class="box box3"><button id="login">Login</button></div>
            <div class="register">
                <label class="have">Don't have a account?</label>
                <a id="Signup" href=# target="_blank"> Sign up</a>
            </div>
        </div>       
    </div>
    <div class="footer">
        <div class="first">
          <div><h1 class="fir">Get in Touch</h1></div>
          <div>
            <p class="matter">
              don't miss any updates of our new templates and extensions.!
            </p>
          </div>
          <div><input id="mail" type="email" value="Email" /></div>
          <div><input id="Subscribe" type="submit" value="Subscribe" /></div>
        </div>
        <div class="second">
          <div><h1 class="sec">Download</h1></div>
          <div>
            <a id="company" href="./download (1).jpg" target="_blank">Company</a>
          </div>
          <div>
            <a id="Andriod" href="./download (1).jpg" target="_blank"
              >Andriod App</a
            >
          </div>
          <div>
            <a id="ios" href="./download (1).jpg" target="_blank">ios App</a>
          </div>
          <div>
            <a id="Desktop" href="./download (1).jpg" target="_blank">Desktop</a>
          </div>
          <div>
            <a id="Project" href="./download (1).jpg" target="_blank">Project</a>
          </div>
          <div>
            <a id="tasks" href="./download (1).jpg" target="_blank">My tasks</a>
          </div>
        </div>
        <div class="third">
          <div><h1 class="thi">Help</h1></div>
          <div><a id="FAQ" href="./download (1).jpg" target="_blank">FAQ</a></div>
          <div>
            <a id="Term" href="./download (1).jpg" target="_blank"
              >Term & conditions</a
            >
          </div>
          <div>
            <a id="Reporting" href="./download (1).jpg" target="_blank"
              >Reporting</a
            >
          </div>
          <div>
            <a id="Documentation" href="./download (1).jpg" target="_blank"
              >Documentation</a
            >
          </div>
          <div>
            <a id="Support" href="./download (1).jpg" target="_blank"
              >Support Policy</a
            >
          </div>
          <div>
            <a id="Privacy" href="./download (1).jpg" target="_blank">Privacy</a>
          </div>
        </div>
        <div class="fourth">
          <div><h1 class="for">Team Solutions</h1></div>
          <span
            ><a href="https://www.facebook.com/"
              ><img src="../icons8-facebook-30.png" id="fb" alt="face" /></a
          ></span>
          <span
            ><a href="https://twitter.com/"
              ><img src="../icons8-twitter-30.png" id="" alt="" /></a
          ></span>
          <span
            ><a href="https://www.linkedin.com/"
              ><img src="../icons8-linkedin-30.png" id="" alt="" /></a
          ></span>
          <span
            ><a href="https://www.linkedin.com/"><img src="" id="" alt="" /></a
          ></span>
        </div>
      </div>
<script>
    const loginbtn=document.querySelector('.login-btn');
    const boxmodel=document.querySelector('.loginmodel');
    const closebtn=document.querySelector('.cross');
    // function openpopup(){

    // }
    function activateModel(){
        boxmodel.classList.add('active-popup')
    }
    function deactivateModel(){
        boxmodel.classList.add('active-popup')
    }
    loginbtn.addEventListener('click',activateModel);
    closebtn.addEventListener('click',deactivateModel);
    document.getElementsByTagName('task')

</script>
        
</body>
</html>